use fiap;

CREATE TABLE usuarios (
	CODIGO_USUARIO INT AUTO_INCREMENT PRIMARY KEY,
	NOME_USUARIO VARCHAR(100) NOT NULL,
	EMAIL_USUARIO VARCHAR(100) NOT NULL,
	SENHA_USUARIO VARCHAR(255) NOT NULL,
	PROFESSOR VARCHAR(1) NOT NULL
);

CREATE TABLE `categorias` (
  `CODIGO_CATEGORIA` int NOT NULL AUTO_INCREMENT,
  `NOME_CATEGORIA` varchar(100) NOT NULL,
  PRIMARY KEY (`CODIGO_CATEGORIA`),
  KEY `idx_categorias_CODIGO_CATEGORIA` (`CODIGO_CATEGORIA`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `anuncios` (
  `CODIGO_ANUNCIO` int NOT NULL AUTO_INCREMENT,
  `TITULO_ANUNCIO` varchar(27) NOT NULL,
  `RESUMO_ANUNCIO` text NOT NULL,
  `TEXTO_ANUNCIO` mediumtext NOT NULL,
  `NOME_USUARIO` varchar(100) NOT NULL,
  `EMAIL_USUARIO` varchar(100) NOT NULL,
  `CONTATO` varchar(11) NOT NULL,
  `HORA_AULA` int NOT NULL,
  `AULA_ONLINE` varchar(1) NOT NULL,
  `AULA_PRESENCIAL` varchar(1) NOT NULL,
  `DATA_CRIACAO` date NOT NULL,
  `DATA_ALTERACAO` date DEFAULT NULL,
  `CODIGO_CATEGORIA` int NOT NULL,
  PRIMARY KEY (`CODIGO_ANUNCIO`),
  KEY `fk_categorias` (`CODIGO_CATEGORIA`),
  CONSTRAINT `fk_categorias` FOREIGN KEY (`CODIGO_CATEGORIA`) REFERENCES `categorias` (`CODIGO_CATEGORIA`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;